# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'posxml_parser/version.rb'

Gem::Specification.new do |gem|
  gem.name          = "posxml_parser"
  gem.version       = PosxmlParser::VERSION
  gem.authors       = ["CloudWalk Team"]
  gem.email         = ["thiago@cloudwalk.io"]
  gem.description   = "Funky Library responsible to parse and execute posxml applications."
  gem.summary       = "Parse and execute posxml applications."
  gem.homepage      = "http://cloudwalk.io"
  gem.license       = "MIT"

  gem.files         = %w(.gitignore Gemfile Gemfile.lock README.md RELEASE_NOTES.md Rakefile posxml_parser.gemspec lib/posxml_parser/version.rb out/posxml_parser/main.mrb)
  gem.files        << "lib/posxml_compiler.rb"
  gem.files        << Dir["./lib/posxml_compiler/*.rb"]
  gem.executables   = []
  gem.test_files    = gem.files.grep(%r{^(test)/})
  gem.require_paths = ["lib"]

  gem.add_development_dependency "bundler", "~> 2.0"
  gem.add_development_dependency "rake", "~> 10"
  gem.add_dependency "funky-emv", "~> 1"
end

