# Posxml Parser

### 2.26.0 - 2020-01-06

- Use break instead return inside loop to avoid LocalJumpError;
- Moved rb apps function scheduler handler to main project;
- Moved :boot event listener handler to main project;

### 2.25.0 - 2019-12-02

- Move file_exists Listener to main application
- Update da_funk (3.12.4)

### 2.24.1 - 2019-10-30

- Fix on scheduler for ruby applications, The handler should search for cw_app_schedule.json file in the root of the application folder..

### 2.24.0 - 2019-09-27

- Update da_funk (3.11.0)

### 2.23.0 - 2019-09-26

- Added support to schedule tasks from ruby applications.

### 2.22.0 - 2019-07-08

- Show message processing after card swiped. After swipe the card it takes some time to the terminal to return a feedback because it is parsing some formations. It can cause confusion to the user. To avoid this we show a message or a image to let user knows the card is being processed;
- Parse card informations and send to emv struct with this we can get:
  - Track1(if exists);
  - Track2;
  - Pan;
  - Service code;
  - Expiration date;
  - Cardholder name(if exists);
  - Card type;
  - Result of operation;
- Send card info on emv struct.

### 2.21.0 - 2019-06-18

- Support to send magnetic parameters through EmvTransaction.

### 2.20.0 - 2019-06-18

- Update funky-emv (1.0.0).

### 2.19.0 - 2019-06-06

- Support to send json parameters at posxml_execute, and add support to share emv data;
- Implemented transfer of magstripe data between ruby applications.

### 2.18.0 - 2019-04-15

- Move PosxmlParser::FileDbCache.fresh to exit only;
- Support _execute0 method on translation execution, that feature is capable to call declaration method once saving some time on execution time;

### 2.17.0 - 2019-04-11

- Bugfix ruby app execution from non PosxmlParse instance;
- Allow ruby app to be executed on emv handler.

### 2.16.0 - 2019-03-27

- Remove clean display before posxml execution;
- Remove payment channel extra connection check;
- Add emv_acquirer_aids file check;

### 2.15.0 - 2019-02-28

- Check if socket is connection process to consider connected.

### 2.14.0 - 2019-02-15

- Add SysNm tag to iso20022 acceptor authorization request, this tag is responsible sender identification.

### 2.13.1 - 2019-02-07

- Adopt a better communication check system on cw_payment_channe.dat call posxml_payment_channel_check function.

### 2.13.0 - 2019-02-06

- Implement booting check during payment channel check.

### 2.12.0 - 2019-01-14

- Support to return macaddress at system.info instruction.

### 2.11.0 - 2019-01-08

- Add sale context tag and it's attributes at ISO20022 message, this tag is adopted by the sub acquires to identify the merchant;

### 2.10.0 - 2018-12-20

- During translation lowercase first letter function.

### 2.9.0 - 2018-11-13

- Fix network.cloudwalkhandshake variable type declaration;
- Fix integer type check at posxml compilation, support camelcase declarations;
- Update test xsd from PosxmlParser version;
- Fix instruction not found check to instruction with parameters;
- Supporr to system.getlog instruction compilation.

### 2.8.6 - 2018-11-22

- Fix parseticket xsd;
- Improve VariableTypeError message to highlight type.

### 2.8.5 - 2018-10-09

- Fresh cache variable in ruby execution.

### 2.8.4 - 2018-10-05

- Return PaymentChannel status when read cw_payment_channel.dat.

### 2.8.3 - 2018-09-10

- Fix input_integer timeout.

### 2.8.2 - 2018-09-04

- Fix multiple variable declaration without “!” syntax.
- Fix posxml_en wait instruction declaration.

### 2.8.1 - 2018-09-03

- Fix ambiguous argument on instruction tests.
- Fix multiple reference supporting no variable value.

### 2.8.0 - 2018-08-24

- Support float variable compilation.
- Add file line number to compilation error.

### 2.7.1 - 2018-08-20

- Fix incompatible character encodings on compilation.
- Fix clear display on every posxml execution.

### 2.7.0 - 2018-08-16

- Support to execute ruby application in posxml_execute.

### 2.6.1 - 2018-08-09

- Support image at card_get_variable

### 2.6.0 - 2018-08-09

- Enable FileDbCache and fix delete process.
- Fresh any file db cache on every execute.
- Bugfix card_read to works when EMV not enabled.
- Do not trow exception the try to read a variable that doesn’t exists on mruby side.
- Interface_display_bitmap returns the resulted value.
- Bugfix input_money to works even if message is empty.
- Implement print_barcode.

### 2.5.0 - 2018-07-31

- Support network_start instruction.

### 2.4.0 - 2018-06-29

- Implement NEWDES to crypto_encryptdecrypt.
- Fix mti message value at iso8583_analyze_message.

### 2.3.4 - 2018-05-22

- Disable file db cache.

### 2.3.3 - 2018-05-09

- During the translationt adopt simple quotes when dealing with double quotes inside of value at if statement.

### 2.3.2 - 2018-03-27

- Fix string_find return(-1) for empty substring.
- Force string on interface_display_bitmap path var.

### 2.3.1 - 2018-03-16

- Fix sum/less signals at datetime_calculate.
- Fix datetime string expression.
- Fix datetime_calculate sum/less calculation.

### 2.3.0 - 2018-03-15

- Implement crypto_xor.

### 2.2.1 - 2018-03-02

- Fix empty comparison when operator :!= during translation.
- Fix getc parameter sent converting to integer.

### 2.2.0 - 2018-03-01

- Implement PosxmlParser::posxml_file_delete to remove file from cache and filesystem.
- Implement extra empty check (“ “) for if parsing.
- Remove cw_app_init.dat from cache and filesystem after use.
- Remove unnecessary track call at card_read.
- Check if file exist before delete at posxml_file_delete helper.
- Remove cw_app_init.dat before mag and emv transaction update.

### 2.1.1 - 2018-02-23

- Fix PosxmlCompiler en xsd to wait instruction.
- Do not validate parameters if instruction does not support it.

### 2.1.0 - 2018-02-22

- PosxmlCompiler refactoring VariableTypeError message.
- PosxmlCompiler supports parameter validation.

### 2.0.0 - 2018-02-21

- Bug fix interface_menu function to expect “1.” And “1 “ entry numbers.
- Support to send a pure xml code if file doesn't exists at PosxmlCompiler.compile.
- Fix private method call at posxml_compiler scope.
- Add posxml_compiler to ruby gem.
- Release util_wait(miliseconds) if a key is pressed.

### 1.3.1 - 2018-02-15

- Fix PaymentChannel hierarchy call.

### 1.3.0 - 2018-02-09

- Cache FileDb handle.
- Adopt posxml mag configuration for card_read.
- Implement custom translation to <if> statement to improve performance.

### 1.2.2 - 2018-01-17

- Fix menu parse instruction removing empty entries.
- Support type parameter between application execution.

### 1.2.1 - 2018-01-17

- Fix parameter passing between applications.
- Refactoring posxml menu parsing adopting the text given by options as key to be pressed.
- Bugfix translation when use variables for filename on execute instruction.

### 1.2.0 - 2018-01-16

- Support background image on menu instructions.
- Check string conversation to integer error on Variable class.
- Refactoring string_replace instruction implementing a defensive code conversting to string for all variables.

### 1.1.0 - 2018-01-12

- Update da_funk (1.3.1).
- Update cloudwalk (1.1.0).
- Update cloudwalk_handshake (0.12.0).
- Update funky-emv (0.15.0).
- Bug fix posxml translation closing class translated.

### 1.0.0 - 2018-01-10

- Implement json parameter passing to ruby runtime exec.
- Fix -2 check in input_format method.
- Bug fix string_insert_at, old code from js.

### 0.31.0 - 2018-01-04

- Bug fix add addition check on string_trim and avoid system error.
- Fix PosxmlParserTest assertion on posxml2ruby process.
- Refactoring interface_system_get_touchscreen_keyboard.
- Replace Device::ParamsDat for DaFunk::ParamsDat.
- Replace Device::Transaction for DaFunk::Transaction.
- Update da_funk (1.0.0).

### 0.30.0 - 2017-12-13

- Call to_i to all divisions and avoid float class return.
- Rescue FloatDomainError instead ZeroDivisionError to support mruby 1.3.0.
- Add a new test case to xml_get_element

### 0.29.0 - 2017-11-30

- Bug Fix key_main checking registration.

### 0.28.0 - 2017-11-28

- Implement XsdParser#find to get instruction by name.
- Check if Kernel#getxy is defined to call in touch instructions.
- Implement the first version of Xml translation to ruby.
- Add support to load and execute ruby translation code.
- At util_exit rise exit to perform exit on translation.
- Update Gemfile.lock.

### 0.27.0 - 2017-11-22

- Check if application exists to create key_main trigger and if isn’t KEY_EXTRA1.

### 0.26.0 - 2017-11-07

- Fix card_get_variable timeout.
- Implemented interface_system_get_touchscreen and interface_system_get_touchscreen_keyboard.

### 0.25.0 - 2017-11-03

- Check connection before execute reversal.

### 0.24.0 - 2017-10-31

- Fix tag ttlnbofpmts generation on iso20022.

### 0.23.0 - 2017-09-04

- Move EventListener to main application.

### 0.22.0 - 2017-08-18

- Fix posxml_socket_read size buffer request.

### 0.21.0 - 2017-08-18

- Fix ParamsDat loading when download it.

### 0.20.1 - 2017-08-16

- Clean tcp_image_loop after use.

### 0.20.0 - 2017-08-16

- Decrease network_receive getc timeout from 300 to 200 mili.
- Implement image loop display for tcp receive operations.

### 0.19.0 - 2017-08-16

- Remove posxml_parser debugs.
- Refactoring network_receive adopting posxml_read_db_config.
- Adopt uclreceivetimeout on payment_channel_receive.
- Support Device::IO::CANCEL during payment_channel_receive loop.

### 0.18.0 - 2017-08-15

- Support to send current value in input_format.

### 0.17.0 - 2017-08-10

- Remove ISO20022 debugs.

### 0.16.0 - 2017-08-08

- Add cloudwalk gem.
- Add ISO20022 initial implementation.
- Add 3 instructions related with ISO 20022:
    - iso20022_new(document).
    - iso20022_add(tag, value).
    - iso20022_build(variablereturn, buffer).

### 0.15.3 - 2017-07-25

- Adopt da_funk 0.9.2: - Device::Setting.wifi_password; - Bool return for Device::Network.connected?
- Black variablereturn if mcc information nil at system_info.
- Remove windows clear at input_integer.
- Refactoring payment channel use to better debug.

### 0.15.2 - 2017-07-12

- Raise InstructionNotFoundError during XsdParser#to_bytecode if instruction not found in xsd.
- Fix PosxmlCompiler parser to avoid empty statements.
- Add warning for application size limit.
- Update da_funk (0.9.1).
- Update funky-tlv(0.2.3).

### 0.15.1 - 2017-06-30

- PosxmlCompiler, check if function was declared.
- PosxmlCompiler, check if variable is defined.

### 0.15.0 - 2017-06-28

- Add commentaries and cover multi line instruction declaration.
- Refactoring Compiler and Parser Posxml Variable to support string array chunk passing.

### 0.14.10 - 2017-06-21

- Fix CANCEL return of input_integer.

### 0.14.9 - 2017-06-20

- check if boot application is configured before execute it.

### 0.14.8 - 2017-06-20

- Check if cell and mcc cell is given to return cell string structure.
- Return upcased string (block and ken) on getpindukpt.

### 0.14.7 - 2017-06-13

- Remove crypto_encryptdecrypt commentaries.
- Support to system.info mcc, mnc, lac, cell_id and cell.
- Update da_funk(0.8.4), funky-emv(0.5.8).

### 0.14.6 - 2017-05-30

- Return upcased string in KSN and block of crypto_encryptdecrypt.

### 0.14.5 - 2017-05-30

- Only create boot handler if schedule file exists.

### 0.14.4 - 2017-05-29

- Fix crypto.encryptdecrypt key passing for DUKPT3DES mode.

### 0.14.3 - 2017-05-29

- Add support to boot event listener.

### 0.14.2 - 2017-05-26

- Add support to DUKPT3DES to crypto.encryptdecrypt.

### 0.14.1 - 2017-05-23

- Replace xml constants in xml parser.
- Refactoring line separator to check code commented in the same line of valid xml code.

### 0.14.0 - 2017-05-12

- Support POSXML Compilation.
- Add tests for posxml compilation.
- Refactoring xsd parse solving some bugs and add more details to each instruction, as order and parameters type.
- Check if name is given at PosxmlCompiler::Function#get.
- Refactoring all PosxmlCompiler based in jumps and tests scenarios:
  - Add support to call function jumps.
  - Add type of the jump.
  - Properly check variable type.
  - Improve xml line parse to support more than one instruction per line.
- Remove white space and some useless commentaries at posxml_compiler/parser.rb.
- Remove extra value manipulation for while jumps.
- Replace JumpPoint type FUNCTION_END for FUNCTION.
- Refactoring checking if a char check was already add to jumps. This check avoid extra addition.
- Add boot configuration flag.
- Change posxml xsd to avoid problems during the parser.
- Change xsd parser to receive the file content instead of read from file.
- Refactoring posxml_compiler parameters parser to check which char in a instruction line and avoid quotation marks parse problem.
- Rename PosxmlCompiler.compile parameter name.
- Check if xml compiled file has break alone.
- Add \n between parsed xml instructions at the same line.

### 0.13.1 - 2017-04-05

- Refactoring string.getvaluebykey to support new cases.
- Define default value for tiposcartao config as 0.
- Add support to check magstripe and swipe input config.
- Default value for parameter on instructions print and print_big.
- When exit application define System.klass as main.
- Clear display before input_integer.
- Refactoring card_get_variable to support digit card input.

### 0.13.0 - 2017-03-07

- Add parentheses to assert_equal with negative number and avoid warning.
- Implement json_get_element.
- Implement json_ge_element bytecode.
- Add baApplicationidentifier at emv init info.

### 0.12.4 - 2017-03-05

- Support to ASCII channel in ISO8583 instructions.
- Do not close the socket in iso8583 transact message.
- Check if type Number in iso8583_get_field to rjust with 0.

### 0.12.3 - 2017-01-26

- Add posxml execution line at debug.
- Call ParamsDat.parse when download params.dat from posxml app.
- Add support to KEY_TIMEOUT when using IO.get_format.
- Add support to KEY_CANCEL when using IO.get_format.

### 0.12.2 - 2017-01-20

- Return 1 instead of 0 in display_bitmap.
- Call to_s for print buf.

### 0.12.1 - 2017-01-19

- Bug fix string_elements when has one element only.
- Bug fix check break lines in file_read_by_index.
- card_read return card = “0” when smart card input.

### 0.12.0 - 2017-01-17
- Clear display in posxml_execute instruction.
- Bug fix file_exists file_exists listener and create file_exists_once listener.
- Refactoring getpindukpt instruction adding display responsibility to platform.
- Add executed file information in debug exception catch.

### 0.11.4 - 2017-01-04
- string_element_at return the last value if index does not exists.

### 0.11.3 - 2016-12-21
- Define card_number and card_oridinal_len as empty and 0 during emv transaction to not impact in fallback process.

### 0.11.2 - 2016-12-19
- Add Listener to check the path of bins, schedule and keys files to load dynamically.

### 0.11.1 - 2016-12-19
- Do not display attaching message the call PaymentChannel.connect.

### 0.11.0 - 2016-12-05
- Bug fix string to integer conversation when base 16 and beginning with 0, for some reason we have a segfault.
- Implement PosxmlParser.posxml_convert_key (class level).
- Treat payment channel OPCODE_PING in posxml parser level.
- Refactoring all payment channel instruction and fix payment channel receive timeout.
- Raise exception if posxml file not found in PosxmlParser.posxml_load!.
- Abstract method PosxmlParser.posxml_store_ping to store ping receive datetime.
- Replace EmvTransaction.icc.detected? by EmvTransaction.deteceted at read_card instruction.
- Fix bIssuerScriptResLen name and indent emv.rb.
- Rename app_keys.dat by cw_app_keys.dat and app_schedule.dat by cw_app_schedule.dat.
- Set card value as “” in emv event at card_read.
- Bug fix typo bPinBypass and bPinBypassed in PosxmlParser::EMV.
- Do not unpack KSN and block in get_pin_dukpt instruction.
- Define chip_return as 0 on Magnetic event handler.
- PosxmlParser.posxml_payment_channel_check check if channel is nil.
- Refactoring payment_channel instruction to support avoid handshake by posxml layer(cloudwalk handshake responsibility).

### 0.10.3 - 2016-12-05

- Update parameters sent by EventHandlers :emv and :mag.
- Add xml_get_element instruction.
- Add posxml_parser.mrb(empty file) file to test suite and temporally fix execution.
- Refactoring file_open using posxml_file_path (which now support params.dat file case).
- Force to_i on handle variable at file_write and avoid future problem to get file handle.
- Return correct buffer size at network_receive instruction. The behaviour expected is return the size of byte array buffer, not the size of hex buffer.

### 0.10.2 - 2016-12-01

- Remove empty functions from PosxmlInterpreter.
- Bug fix key_main app execution typo.
- Fix swapvariable setting handle.
- Support params.dat in posxml_file_path.
- Implement input_integer.
- Implement crypto_crc.

### 0.10.1 - 2016-11-29

- Bug fix util_system_backlight which demand a second parameter.
- Add payment_channel EventHandler to OPCODE PING.

### 0.10.0 - 2016-11-18

- Add heartbeat for PosxmlSetting.
- Implement payment channel instructions (connect, send, receive and close).


### 0.9.7 - 2016-11-07

- Added pinpad.getpindukpt support.
- Added crypto_encryptdescrypt BASE64 support.

### 0.9.6 - 2016-11-01

- Removed mag.close from card_read, it was causing an error on magnetic Listener.

### 0.9.5 - 2016-10-10

- Bug fix Variable#to_i checking if value is empty and if some parameter is sent to perform the method.
- Add swapvariables entry for posxml setting.

### 0.9.4 - 2016-10-06

- Bug fix exception treatment call typo.

### 0.9.3 - 2016-10-03

- Replace schedule minutes for seconds.
- Support INIT_DATA[:bAcquirerLocationMode].
- input_money returns -2 if Device::IO::CANCEL.
- Do not start a new runtime in EventHandlers.
- Refactoring card_read changing check order.
- Replace ContextLog.error by ContextLog.exception.
- Return empty value at input_money if user cancel.
- Add bfRefund/refund from PROCESS_DATA.
- Support json intilization parameter at runtime level.
- Comment ContextLog.info calls.
- Add funky-emv version in gem spec.

### 0.9.2 - 2016-09-08

- Update gems(funky-emv and da_funk).

### 0.9.1 - 2016-09-06

- Force pt-br I18n in posxml environment.
- Rename baDUPKTInfo to baDUKPTInfo in PosxmlParser::Emv.
- Add block as parameter in PosxmlParser::Emv#process/remove/initialize.
- Bug fix properly treat “timeoutinput” in PosxmlSetting, converting to milliseconds before set Device::IO.timeout.
- Add logs for ISO and EMV instructions.
- Refactoring track2 encryption in Magstripe process.
- Refactoring KEYS, BINS, SCHEDULE and WORKING_KEY constants to not contain the full path, which should be included by the method posxml_file_path.
- Bug fix limit bins range to the first 4 bytes.

### 0.8.0 - 2016-06-30

- Refactoring card_read to: - Perform PosxmlParser::EMV.initialize instead of process when icc detected. - Return Device::IO::CANCEL in key if mag.
- Refactorgin file_list to store exceptions.
- Refactoring some rescue exception in instructions to store any error.
- Store exceptions in posxml_setting.
- Implement the encryption of magstripe.
- Add support to tsi.
- Store emv errors.
- Refactoring names in string_element_at instruction.
- Check chip return on emv Handler converting to 1 if 0.
- Cipher result hex conversion not needed.
- Create new string in EMV.add_data to avoid memory leak.
- Add variable test case to compare numbers.
- Add Bug on execution to create variable if didn’t create yet on stack.
- Refactoring print_check_paper_out using Printer#paper? method.
- Refactoring print_bitmap checking Device returns.
- Refactoring print and print_big to avoid memory leak.
- Refactory emv.rb to avoid memory leak.
- Update Device::System.klass on execution.
- Add funky-tlv
- Implement 3DES cipher on cryptoencrypt.
- Implement “batterylevel|dockstatus” parameter on system.info.
- Use posxml_socket_read in iso8583 transact message second block.
- Check if app params.dat[“emv_application”] is defined to execute emv app.
- Remove commentaries on Variable.
- Log errors if exception in iso8583_analyze_message instruction.
- During creation of Variable the Variable create variable in the table if not exist.
- Bug fix posxml_socket_read method starting attempts with 0.
- Implement file_concat instruction.
- Add “FF” padding to 3DESInternal cryptography in cryptoencrypt instruction.
- Change input_money limit from 13 to 12.
- Add 3DES encryption with injected key.
- Return OS version on util_system_info.
- Refactoring string_length calling to_s, instead of value.
- Bug fix on integer to binary conversion returning the correct size.
- Refactoring string_join removing value call.
- Add EmvTransaction detection on read_card.
- Refactoring iso8583_transact_message using posxml_socket_read helper.
- Add error treatment for network_host_disconnect and set socket nil.
- Remove socket debug.
- Remove empty string check on read_file_by_index, now the empty string is supported by comparison.
- Bug fix add scenario “not equal” for string variable comparison.
- Add error treatment for some instructions rescue.
- Refactoring file_read_by_index reading and closing the file in a unique method.
- Fix typo on Emv.load.
- Add posxml helper to read from socket non blocking.
- Add custom initialisation load for emv.
- Require funky-emv.
- Fix INIT_INFO structure declaration.
- Fix emv EventHandler definition.
- Refactoring instruction exception handle.
- Remove custom env and crypto_encryptdecrypt instructions.
- Fix integer_conver_to_binary to ruby syntax only.
- Fix blank comparison on Variable, which should work with “ “ and  “”.
- Remove swapvariables.
- Add emv.rb to Makefile.
- Add support to emv handlers.
- Add support for schedule handlers.
- Reafectoring keys and bins handlers.
- Do not include message character size on size  calculation for iso transaction message.
- When read empty value on readfile instruction return “ “, not “”.
- Convert hex to char on file.write.
- Add Context treat for exception on file instructions.

### 0.7.11 - 2016-04-18 - Refactoring

- Refactoring string_pad instruction.
- Apply mask to input_format.
- Update da_funk to version 0.7.3.

### 0.7.10 - 2016-03-30 - Refactoring

- Refactoring string_elements and add test unit.
- Refactoring string_substring and add more unit tests.
- Refactoring string_find and add more unit tests.
- Fix datetime_get unit test adjusting number of chars with “0” to the left.
- Refactoring instruction file_read_by_index.
- Refactoring instruction string_get_value_by_index and add more tests.
- Fix interface_display to break line if necessary.
- Implement crypto_encryptdecrypt supporting 3DES-ECB.

### 0.7.9 - 2016-03-22 - Add instruction util_system_backlight

- Bug fix, only execute an application if file exists.
- Fix posxml_date_to_time method getting the correct value from regex.
- Add instruction util_system_backlight x92.

### 0.7.8 - 2016-03-14 - I18n for input money helpers

- If exception include the display of instruction bytecode.
- Support to i18n on money input helpers.

### 0.7.7 - 2016-03-14 - Update binary

- Update binary.

### 0.7.6 - 2016-03-14 - Polishing EventHandler and EventListener

- Convert from posxml key to platform key on key_main EventHandler creation.
- Refactoring platform keys to posxml keys conversion structure.
- Fix EventHandler for magnetic sending the correct range.

### 0.7.5 - 2016-03-10 - EventHandler and EventListener

- Implement method PosxmlParser#setup declaring EventHandler form key_main and magnetic.
- Add tests to string_get_value_by_key and fix strange behaviours.
- Don’t use DaFunk API for keypaperfeed, keyalpha, keypound and keystar PosxmlSetting’s.

### 0.7.4 - 2016-03-02 - Some fixes.

- Fix PosxmlParser::PosxmlSetting.brand to get value from da_funk.
- Add valuable commentary about method missing on PosxmlParser::PosxmlSetting.
- Fix operator power operation.
- Add tests for file read brand and model. And add tests for math power operation.

### 0.7.3 - 2016-02-29 - Some fixes.

- Fix file_read_by_index instruction parsing correctly the file.
- Add support to open params.dat on file_open.
- Add support to SocketError exception on network_pre_connect, returning -104.
- Add bug to string_elements to behave as WalkFramework returning +=1 if >= 1.
- Refactoring card_read.
- Refactoring binary_convert_to_integer and fix base 10 operation.
- Fix string_get_value_by_key replacing split from “, “ to “,” and adding strip on the chances.

### 0.7.2 - 2016-02-12 - Update da_funk

- Update da_funk.
- Update license on gemspec.

### 0.7.1 - 2016-02-05 - Treat connection exceptions

- Treat connection exceptions.
- Fix card_get_variable display.
- Refactoring iso8583 analyze message instruction.

### 0.7.0 - 2016-02-02 - Polishing implementation

- Refactoring ISO8583 instructions.
- Fix system error on converstion of string to integer.
- Refactoring socket use.
- Fix unzip instruction to not clear directory.
- Refactoring flow(while, if, else, break) instructions.
- Fix file instruction to avoid system error.
- Add support to chage params.dat file.
- Fix menu instruciton.
- Fix return of errors on file download.
- Support to generate crc on file download.

### 0.6.1 - 2016-01-08 - Small fix on app execution.

- Small fix on app execution.

### 0.6.0 - 2016-01-07 - First stable release.

- Support to parse and execute posxml instrucions.